<html>
<head>
<title>OgreParticleSystem.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreParticleSystem.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreVector3_8h_source.html">OgreVector3.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreParticleIterator_8h_source.html">OgreParticleIterator.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMovableObject_8h_source.html">OgreMovableObject.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRadixSort_8h_source.html">OgreRadixSort.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreController_8h_source.html">OgreController.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>&quot;</code><br/>
</div>
<p><a href="OgreParticleSystem_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem.html">Ogre::ParticleSystem</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class defining particle system based special effects.  <a href="classOgre_1_1ParticleSystem.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdQuota.html">Ogre::ParticleSystem::CmdQuota</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for quota (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdQuota.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html">Ogre::ParticleSystem::CmdEmittedEmitterQuota</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for emittedEmitterQuota (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdEmittedEmitterQuota.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html">Ogre::ParticleSystem::CmdMaterial</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for material (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdMaterial.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdCull.html">Ogre::ParticleSystem::CmdCull</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for cull_each (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdCull.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdWidth.html">Ogre::ParticleSystem::CmdWidth</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle_width (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdWidth.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdHeight.html">Ogre::ParticleSystem::CmdHeight</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle_height (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdHeight.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html">Ogre::ParticleSystem::CmdRenderer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for renderer (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdRenderer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdSorted.html">Ogre::ParticleSystem::CmdSorted</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for sorting (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdSorted.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html">Ogre::ParticleSystem::CmdLocalSpace</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for local space (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdLocalSpace.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html">Ogre::ParticleSystem::CmdIterationInterval</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for iteration interval(see ParamCommand).  <a href="classOgre_1_1ParticleSystem_1_1CmdIterationInterval.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html">Ogre::ParticleSystem::CmdNonvisibleTimeout</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for nonvisible timeout (see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>).  <a href="classOgre_1_1ParticleSystem_1_1CmdNonvisibleTimeout.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html">Ogre::ParticleSystem::SortByDirectionFunctor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sort by direction functor.  <a href="structOgre_1_1ParticleSystem_1_1SortByDirectionFunctor.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html">Ogre::ParticleSystem::SortByDistanceFunctor</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sort by distance functor.  <a href="structOgre_1_1ParticleSystem_1_1SortByDistanceFunctor.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
